/* Exemplos de Orientao de Streams */

#include <stdio.h>
#include <wchar.h>

int main()
{
      /* Aps a chamada de printf() a seguir a     */
      /* orientao de stdout passa a ser por byte */
   printf("\nEste string sera impresso.\n");

      /* A funo wprintf() requer que a    */
      /* orientao de stdout seja extensa. */
      /* Usar a funo fwide() no resolve! */
   wprintf(L"\nEste string NAO sera impresso.\n");

      /* Apesar de tipicamente usarem o mesmo meio,      */
      /* stdout e stderr so streams diferentes. Como    */
      /* stderr est sendo usado pela primeira vez por   */
      /* fwprintf(), este stream ter orientao extensa */
   fwprintf(stderr, L"\nImpresso sem problemas.\n");

   return 0;
}

