/******************************/
/* Exemplo de uso de calloc() */
/******************************/

#include <stdio.h>
#include <stdlib.h>

#define NUM_ELEMENTOS 100u

int main(void)
{
   int    *blocos;
   size_t  i;

      /* Aloca um array com 100 elementos tipo */
      /* int. Todos os elementos sero zerados */
   blocos = calloc(NUM_ELEMENTOS, sizeof(int));

      /* Testa se foi possvel     */
      /* alocar o espao requerido */
   if(blocos == NULL)
       printf("Array nao pode ser alocado\n");
   else{ /* Espao alocado com sucesso */
      printf("Conteudo do array:\n");

      for (i = 0; i < NUM_ELEMENTOS; ++i)
         printf("\tblocos[%d] = %d\n", i, blocos[i]);

      free(blocos); /* Libera o espao alocado */
   }

   return 0;
}
